src/mesh/cs_join_intersect.h File Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
cs_join_intersect.h File Reference
`#include "cs_base.h"`
`#include "cs_join_mesh.h"`
`#include "cs_join_set.h"`
`#include "cs_join_util.h"`
Include dependency graph for cs_join_intersect.h:

Go to the source code of this file.

## Functions
cs_join_inter_set_t * | cs_join_inter_set_create (cs_lnum_t init_size)
void | cs_join_inter_set_destroy (cs_join_inter_set_t **inter_set)
void | cs_join_inter_set_dump (FILE *f, const cs_join_inter_set_t *i_set, const cs_join_edges_t *edges, const cs_join_mesh_t *mesh)
cs_join_inter_edges_t * | cs_join_inter_edges_create (cs_lnum_t n_edges)
cs_join_inter_edges_t * | cs_join_inter_edges_define (const cs_join_edges_t *edges, const cs_join_inter_set_t *inter_set)
void | cs_join_inter_edges_destroy (cs_join_inter_edges_t **inter_edges)
void | cs_join_add_equiv_from_edges (cs_join_param_t param, cs_join_mesh_t *mesh, const cs_join_edges_t *edges, const cs_join_inter_edges_t *inter_edges, cs_join_eset_t *vtx_equiv)
void | cs_join_intersect_update_struct (int verbosity, const cs_join_edges_t *edges, cs_join_mesh_t *mesh, cs_join_inter_edges_t **inter_edges)
cs_join_type_t | cs_join_intersect_edges (cs_join_param_t param, const cs_join_gset_t *edge_edge_vis, const cs_join_edges_t *edges, const cs_join_mesh_t *mesh, cs_join_eset_t **vtx_eset, cs_join_inter_set_t **inter_set)
cs_join_gset_t * | cs_join_intersect_faces (const cs_join_param_t param, const cs_join_mesh_t *mesh)
cs_join_gset_t * | cs_join_intersect_face_to_edge (const cs_join_mesh_t *mesh, const cs_join_edges_t *edges, const cs_join_gset_t *face_visib)
void | cs_join_inter_edges_dump (FILE *f, const cs_join_inter_edges_t *inter_edges, const cs_join_edges_t *edges, const cs_join_mesh_t *mesh)

## Function Documentation

void cs_join_add_equiv_from_edges | ( | cs_join_param_t | param,
|  | cs_join_mesh_t * | mesh,
|  | const cs_join_edges_t * | edges,
|  | const cs_join_inter_edges_t * | inter_edges,
|  | cs_join_eset_t * | vtx_equiv
| ) |  |

cs_join_inter_edges_t* cs_join_inter_edges_create | ( | cs_lnum_t | n_edges | ) |

cs_join_inter_edges_t* cs_join_inter_edges_define | ( | const cs_join_edges_t * | edges,
|  | const cs_join_inter_set_t * | inter_set
| ) |  |

void cs_join_inter_edges_destroy | ( | cs_join_inter_edges_t ** | inter_edges | ) |

void cs_join_inter_edges_dump | ( | FILE * | f,
|  | const cs_join_inter_edges_t * | inter_edges,
|  | const cs_join_edges_t * | edges,
|  | const cs_join_mesh_t * | mesh
| ) |  |

cs_join_inter_set_t* cs_join_inter_set_create | ( | cs_lnum_t | init_size | ) |

(end ignore by Doxygen)

void cs_join_inter_set_destroy | ( | cs_join_inter_set_t ** | inter_set | ) |

void cs_join_inter_set_dump | ( | FILE * | f,
|  | const cs_join_inter_set_t * | i_set,
|  | const cs_join_edges_t * | edges,
|  | const cs_join_mesh_t * | mesh
| ) |  |

cs_join_type_t cs_join_intersect_edges | ( | cs_join_param_t | param,
|  | const cs_join_gset_t * | edge_edge_vis,
|  | const cs_join_edges_t * | edges,
|  | const cs_join_mesh_t * | mesh,
|  | cs_join_eset_t ** | vtx_eset,
|  | cs_join_inter_set_t ** | inter_set
| ) |  |

cs_join_gset_t* cs_join_intersect_face_to_edge | ( | const cs_join_mesh_t * | mesh,
|  | const cs_join_edges_t * | edges,
|  | const cs_join_gset_t * | face_visib
| ) |  |

cs_join_gset_t* cs_join_intersect_faces | ( | const cs_join_param_t | param,
|  | const cs_join_mesh_t * | mesh
| ) |  |

void cs_join_intersect_update_struct | ( | int | verbosity,
|  | const cs_join_edges_t * | edges,
|  | cs_join_mesh_t * | mesh,
|  | cs_join_inter_edges_t ** | inter_edges
| ) |  |